curl -X DELETE "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
await api.deleteClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"status": "offboarded",
"updatedAt": "2026-03-06T14:00:00.000Z"
}
Clients
Delete Client
Soft delete a client (sets status to offboarded)
DELETE
/
api
/
clients
/
:id
curl -X DELETE "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
await api.deleteClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"status": "offboarded",
"updatedAt": "2026-03-06T14:00:00.000Z"
}
Requires Admin role.
Path Parameters
string
required
Client UUID
Response
The updated client object with status set to “offboarded”.curl -X DELETE "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
await api.deleteClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"status": "offboarded",
"updatedAt": "2026-03-06T14:00:00.000Z"
}